org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class FileExtensionFilterAdapter

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.FileExtensionFilterAdapter

    public class FileExtensionFilterAdapter
    extends java.lang.Object

This action filter is used to test the file extension for ResourceMapping objects. To use it you must first declare it in your plugin.xml: Once that's done it may be used to filter as per the <visibility> element in the following example: <visibility> <or> </or> </visibility>

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FileExtensionFilterAdapter` `getInstance()`
`boolean` `testAttribute(java.lang.Object target, java.lang.String name, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### testAttribute

    public boolean testAttribute(java.lang.Object target,
                                 java.lang.String name,
                                 java.lang.String value)

#### getInstance

    public static FileExtensionFilterAdapter getInstance()